package com.kingdee.eas.custom.htjd;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractContractEndInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractContractEndInfo()
    {
        this("id");
    }
    protected AbstractContractEndInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 合同交底单据 's 提交人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPrePerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("prePerson");
    }
    public void setPrePerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("prePerson", item);
    }
    /**
     * Object: 合同交底单据 's 提交部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPreDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("preDepartment");
    }
    public void setPreDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("preDepartment", item);
    }
    /**
     * Object: 合同交底单据 's 提交人公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getPreCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("preCompany");
    }
    public void setPreCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("preCompany", item);
    }
    /**
     * Object: 合同交底单据 's 申购部门经理 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getManager()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("manager");
    }
    public void setManager(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("manager", item);
    }
    /**
     * Object: 合同交底单据 's 申购部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPurDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("purDepartment");
    }
    public void setPurDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("purDepartment", item);
    }
    /**
     * Object: 合同交底单据 's 申购公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getPurCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("purCompany");
    }
    public void setPurCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("purCompany", item);
    }
    /**
     * Object:合同交底单据's 备注property 
     */
    public String getRemarks()
    {
        return getString("remarks");
    }
    public void setRemarks(String item)
    {
        setString("remarks", item);
    }
    /**
     * Object:合同交底单据's 合同交底要点property 
     */
    public String getKeyPoint()
    {
        return getString("keyPoint");
    }
    public void setKeyPoint(String item)
    {
        setString("keyPoint", item);
    }
    /**
     * Object:合同交底单据's 合同号property 
     */
    public String getHtNumber()
    {
        return getString("htNumber");
    }
    public void setHtNumber(String item)
    {
        setString("htNumber", item);
    }
    /**
     * Object:合同交底单据's 合同名称property 
     */
    public String getHtName()
    {
        return getString("htName");
    }
    public void setHtName(String item)
    {
        setString("htName", item);
    }
    /**
     * Object:合同交底单据's 标题property 
     */
    public String getTitle()
    {
        return getString("title");
    }
    public void setTitle(String item)
    {
        setString("title", item);
    }
    /**
     * Object:合同交底单据's 紧急程度property 
     */
    public com.kingdee.eas.custom.htjd.degree getJjDegree()
    {
        return com.kingdee.eas.custom.htjd.degree.getEnum(getString("jjDegree"));
    }
    public void setJjDegree(com.kingdee.eas.custom.htjd.degree item)
    {
		if (item != null) {
        setString("jjDegree", item.getValue());
		}
    }
    /**
     * Object: 合同交底单据 's 供应商 property 
     */
    public com.kingdee.eas.basedata.master.cssp.SupplierInfo getSuppiler()
    {
        return (com.kingdee.eas.basedata.master.cssp.SupplierInfo)get("suppiler");
    }
    public void setSuppiler(com.kingdee.eas.basedata.master.cssp.SupplierInfo item)
    {
        put("suppiler", item);
    }
    /**
     * Object:合同交底单据's 合同idproperty 
     */
    public String getHtId()
    {
        return getString("htId");
    }
    public void setHtId(String item)
    {
        setString("htId", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("CB7C334C");
    }
}